Author: nomadium-guest
Date: 2011-12-13 22:42:59 +0000 (Tue, 13 Dec 2011)
New Revision: 15540

Added:
   trunk/libdtdparser-java/debian/ant.properties
Modified:
   trunk/libdtdparser-java/debian/changelog
   trunk/libdtdparser-java/debian/control
Log:
Fix FTBFS with OpenJDK7

Added: trunk/libdtdparser-java/debian/ant.properties
===================================================================
--- trunk/libdtdparser-java/debian/ant.properties                               
(rev 0)
+++ trunk/libdtdparser-java/debian/ant.properties       2011-12-13 22:42:59 UTC 
(rev 15540)
@@ -0,0 +1,4 @@
+# Ensure that source and target are 1.5
+# For backwards compat on Java 7
+ant.build.javac.source=1.5
+ant.build.javac.target=1.5

Modified: trunk/libdtdparser-java/debian/changelog
===================================================================
--- trunk/libdtdparser-java/debian/changelog    2011-12-13 06:49:00 UTC (rev 
15539)
+++ trunk/libdtdparser-java/debian/changelog    2011-12-13 22:42:59 UTC (rev 
15540)
@@ -1,3 +1,17 @@
+libdtdparser-java (1.21a-5) UNRELEASED; urgency=low
+
+  [ Miguel Landaeta ]
+  * Team upload.
+  * Bump Standards-Version to 3.9.2. No changes were required.
+
+  [ James Page ]
+  * Fix FTBFS with OpenJDK7 (LP: #888959) (Closes: #651536):
+    - d/ant.properties: Specify source/target as 1.5 for javac and javadoc
+      ant tasks to ensure backwards compatibility and work around Java 7
+      encoding errors. 
+
+ -- Miguel Landaeta <mig...@miguel.cc>  Tue, 13 Dec 2011 18:17:00 -0430
+
 libdtdparser-java (1.21a-4) unstable; urgency=low
 
   * Team upload.

Modified: trunk/libdtdparser-java/debian/control
===================================================================
--- trunk/libdtdparser-java/debian/control      2011-12-13 06:49:00 UTC (rev 
15539)
+++ trunk/libdtdparser-java/debian/control      2011-12-13 22:42:59 UTC (rev 
15540)
@@ -4,8 +4,8 @@
 Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Koch <konque...@gmx.de>
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.8)
-Build-Depends-Indep:  ant, default-jdk
-Standards-Version: 3.9.1
+Build-Depends-Indep: ant, default-jdk
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libdtdparser-java
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libdtdparser-java
 Homepage: http://www.rpbourret.com/dtdparser/index.htm


_______________________________________________
pkg-java-commits mailing list
pkg-java-comm...@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-commits

Reply via email to